#pragma once
#include "../../SimulatedObjectBase.h"

//-----------------------------------------------------------------------------

class SomeSimulatedObject : TTB::RegisteredSimulatedObject
{
public:
    SomeSimulatedObject(std::string const & in_name)
        : TTB::RegisteredSimulatedObject(in_name, TTB_CLASS_NAME)
    {}

    void DoSomething()
    {
        bool xValDefined = _IsOptionSet("xVal", TTB_FUNC_NAME);
        double xVal = _GetOptionValue<double>("xVal", TTB_FUNC_NAME);
        TTB_METHOD_CALL1("    xVal=" << xVal << (xValDefined ? "" : " (xVal not defined)"));
    }

    void DoSomethingElse() const
    {
        double xVal = _GetOptionValue<double>("xVal", TTB_FUNC_NAME);
        TTB_METHOD_CALL1("xVal=" << xVal);
    }
};

//-----------------------------------------------------------------------------
