
#include <iostream>

//-----------------------------------------------------------------------------
// Initial XML test data
//-----------------------------------------------------------------------------

//static const char* DEMO_XML_STRING_OLD =
//R"(<MyContainer>
//  <Group_A>
//    <Vector id="1" date="01.07.09" time="09:15:12.234" tolerance="0.0258">
//      <x>3.14235</x>
//    </Vector>
//   </Group_A>
//   <Group_C>
//    <Interior>
//      <Something>Some text</Something>
//      <date>28.09.09</date>
//    </Interior>
//  </Group_C>
//</MyContainer>
//)";
//
static const char* DEMO_XML_STRING =
R"(<MyContainer>
  <Group_A>
    <Vector id="1" date="01.07.09" time="09:15:12.234" tolerance="0.0258">
      This is the text of the first vector element
      <x>3.14235</x>
    </Vector>
    <Vector id="2" date="01.07.09" time="09:15:12.234" tolerance="0.0375451">
      This is the text of the second vector element
      <x>3.14235</x>
    </Vector>
    <Vector id="3" tolerance="1.357">
      <x>6.28532</x>
    </Vector>
  </Group_A>
  <Group_B>
    <x>1.23456</x>
    <x>2.3581</x>
    <x>3.132437</x>
    <x>4.987654</x>
    <x>5.29741</x>
  </Group_B>
  <Group_C>
    <Interior>
      <Something>Some text</Something>
      <date>28.09.09</date>
    </Interior>
  </Group_C>
</MyContainer>
)";

// Group_A\x and Group_B\ 3th x is changed
static const char* DEMO_XML_STRING_FOR_COMPARE =
R"(<MyContainer>
  <Group_A>
        <Vector id="1" date="01.07.09"    time="09:30:12.234" tolerance="0.0258">
      This is the text of the first vector element
      <x>3.14235</x>
    </Vector>
    <Vector id="2" date="01.07.09" time="09:15:12.234" tolerance="0.8258">
      This is the text of the second vector element
      <x>3.14235</x>
    </Vector>
    <Vector id="3" tolerance="1.357">
      <x>6.28532</x>
    </Vector>
  </Group_A>
  <Group_B>
    <x>1.23456</x>
    <x>2.3581</x>
    <x>12.132437</x>
    <x>4.987654</x>
    <x>5.29741</x>
  </Group_B>
  <Group_C>
    <Interior>
      <Something>Some text</Something>
      <date>28.09.09</date>
    </Interior>
  </Group_C>
</MyContainer>
)";

static const std::string MY_TEST_DIR = "c:/MyTemp";
static const std::string MY_XML_FILE_PATH = MY_TEST_DIR + "/GeneratedPugiXmlFile.xml";
